Bug 164950 - RFE: call account management and credential reinitialization functions
RFE: call account management and credential reinitialization functions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vlock (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 20:49 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 04:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Call pam_acct_mgmt() and pam_setcred() when checking passwords. (990 bytes, patch)
2005-08-02 20:49 EDT, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2005-08-02 20:49:45 EDT
Description of problem:

vlock currently only uses pam_authenticate() to authenticate the user.  Strictly
speaking, the pam_acct_mgmt() function should also be called to verify that the
user is allowed to unlock the screen (for example, if time-of-day restrictions
are being imposed).

When unlocking the screen, it would be nice if vlock called pam_setcred() to
give modules a chance to reinitialize the user's credentials, as xscreensaver does.

Version-Release number of selected component (if applicable):
1.3-19

How reproducible:
Always.

Steps to Reproduce:
1. Add "required pam_listfile.so sense=allow item=user file=/dev/null" to
/etc/pam.d/vlock.
2. Lock, then try to unlock your VT.
  
Actual results:
vlock unlocks the VT

Expected results:
vlock stubbornly refuses to let you back in
Comment 1 Nalin Dahyabhai 2005-08-02 20:49:45 EDT
Created attachment 117380 [details]
Call pam_acct_mgmt() and pam_setcred() when checking passwords.
Comment 2 Karel Zak 2005-08-03 04:30:57 EDT
Commited to devel (FC5) branch.

Note You need to log in before you can comment on or make changes to this bug.